Makefile 28 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757
  1. # Makefile.in generated by automake 1.13.4 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  12. am__make_running_with_option = \
  13. case $${target_option-} in \
  14. ?) ;; \
  15. *) echo "am__make_running_with_option: internal error: invalid" \
  16. "target option '$${target_option-}' specified" >&2; \
  17. exit 1;; \
  18. esac; \
  19. has_opt=no; \
  20. sane_makeflags=$$MAKEFLAGS; \
  21. if $(am__is_gnu_make); then \
  22. sane_makeflags=$$MFLAGS; \
  23. else \
  24. case $$MAKEFLAGS in \
  25. *\\[\ \ ]*) \
  26. bs=\\; \
  27. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  28. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  29. esac; \
  30. fi; \
  31. skip_next=no; \
  32. strip_trailopt () \
  33. { \
  34. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  35. }; \
  36. for flg in $$sane_makeflags; do \
  37. test $$skip_next = yes && { skip_next=no; continue; }; \
  38. case $$flg in \
  39. *=*|--*) continue;; \
  40. -*I) strip_trailopt 'I'; skip_next=yes;; \
  41. -*I?*) strip_trailopt 'I';; \
  42. -*O) strip_trailopt 'O'; skip_next=yes;; \
  43. -*O?*) strip_trailopt 'O';; \
  44. -*l) strip_trailopt 'l'; skip_next=yes;; \
  45. -*l?*) strip_trailopt 'l';; \
  46. -[dEDm]) skip_next=yes;; \
  47. -[JT]) skip_next=yes;; \
  48. esac; \
  49. case $$flg in \
  50. *$$target_option*) has_opt=yes; break;; \
  51. esac; \
  52. done; \
  53. test $$has_opt = yes
  54. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  55. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  56. pkgdatadir = $(datadir)/libwebsocket-a
  57. pkgincludedir = $(includedir)/libwebsocket-a
  58. pkglibdir = $(libdir)/libwebsocket-a
  59. pkglibexecdir = $(libexecdir)/libwebsocket-a
  60. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  61. install_sh_DATA = $(install_sh) -c -m 644
  62. install_sh_PROGRAM = $(install_sh) -c
  63. install_sh_SCRIPT = $(install_sh) -c
  64. INSTALL_HEADER = $(INSTALL_DATA)
  65. transform = $(program_transform_name)
  66. NORMAL_INSTALL = :
  67. PRE_INSTALL = :
  68. POST_INSTALL = :
  69. NORMAL_UNINSTALL = :
  70. PRE_UNINSTALL = :
  71. POST_UNINSTALL = :
  72. subdir = .
  73. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  74. $(top_srcdir)/configure $(am__configure_deps) \
  75. $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
  76. $(top_srcdir)/../missing
  77. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  78. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  79. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  80. $(ACLOCAL_M4)
  81. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  82. configure.lineno config.status.lineno
  83. mkinstalldirs = $(install_sh) -d
  84. CONFIG_CLEAN_FILES =
  85. CONFIG_CLEAN_VPATH_FILES =
  86. LIBRARIES = $(noinst_LIBRARIES)
  87. AR = ar
  88. ARFLAGS = cru
  89. AM_V_AR = $(am__v_AR_@AM_V@)
  90. am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
  91. am__v_AR_0 = @echo " AR " $@;
  92. am__v_AR_1 =
  93. libwebsocket_a_AR = $(AR) $(ARFLAGS)
  94. libwebsocket_a_LIBADD =
  95. am_libwebsocket_a_OBJECTS = jsonBuilder.$(OBJEXT) wsClient.$(OBJEXT) \
  96. wsClientMgr.$(OBJEXT) wsTimerThread.$(OBJEXT) \
  97. sio_client.$(OBJEXT) sio_socket.$(OBJEXT) \
  98. sio_client_impl.$(OBJEXT) sio_packet.$(OBJEXT)
  99. libwebsocket_a_OBJECTS = $(am_libwebsocket_a_OBJECTS)
  100. AM_V_P = $(am__v_P_@AM_V@)
  101. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  102. am__v_P_0 = false
  103. am__v_P_1 = :
  104. AM_V_GEN = $(am__v_GEN_@AM_V@)
  105. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  106. am__v_GEN_0 = @echo " GEN " $@;
  107. am__v_GEN_1 =
  108. AM_V_at = $(am__v_at_@AM_V@)
  109. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  110. am__v_at_0 = @
  111. am__v_at_1 =
  112. DEFAULT_INCLUDES = -I.
  113. depcomp = $(SHELL) $(top_srcdir)/../depcomp
  114. am__depfiles_maybe = depfiles
  115. am__mv = mv -f
  116. AM_V_lt = $(am__v_lt_@AM_V@)
  117. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  118. am__v_lt_0 = --silent
  119. am__v_lt_1 =
  120. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  121. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  122. AM_V_CXX = $(am__v_CXX_@AM_V@)
  123. am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  124. am__v_CXX_0 = @echo " CXX " $@;
  125. am__v_CXX_1 =
  126. CXXLD = $(CXX)
  127. CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
  128. -o $@
  129. AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  130. am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  131. am__v_CXXLD_0 = @echo " CXXLD " $@;
  132. am__v_CXXLD_1 =
  133. SOURCES = $(libwebsocket_a_SOURCES)
  134. DIST_SOURCES = $(libwebsocket_a_SOURCES)
  135. am__can_run_installinfo = \
  136. case $$AM_UPDATE_INFO_DIR in \
  137. n|no|NO) false;; \
  138. *) (install-info --version) >/dev/null 2>&1;; \
  139. esac
  140. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  141. # Read a list of newline-separated strings from the standard input,
  142. # and print each of them once, without duplicates. Input order is
  143. # *not* preserved.
  144. am__uniquify_input = $(AWK) '\
  145. BEGIN { nonempty = 0; } \
  146. { items[$$0] = 1; nonempty = 1; } \
  147. END { if (nonempty) { for (i in items) print i; }; } \
  148. '
  149. # Make sure the list of sources is unique. This is necessary because,
  150. # e.g., the same source file might be shared among _SOURCES variables
  151. # for different programs/libraries.
  152. am__define_uniq_tagged_files = \
  153. list='$(am__tagged_files)'; \
  154. unique=`for i in $$list; do \
  155. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  156. done | $(am__uniquify_input)`
  157. ETAGS = etags
  158. CTAGS = ctags
  159. CSCOPE = cscope
  160. AM_RECURSIVE_TARGETS = cscope
  161. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  162. distdir = $(PACKAGE)-$(VERSION)
  163. top_distdir = $(distdir)
  164. am__remove_distdir = \
  165. if test -d "$(distdir)"; then \
  166. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  167. && rm -rf "$(distdir)" \
  168. || { sleep 5 && rm -rf "$(distdir)"; }; \
  169. else :; fi
  170. am__post_remove_distdir = $(am__remove_distdir)
  171. DIST_ARCHIVES = $(distdir).tar.gz
  172. GZIP_ENV = --best
  173. DIST_TARGETS = dist-gzip
  174. distuninstallcheck_listfiles = find . -type f -print
  175. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  176. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  177. distcleancheck_listfiles = find . -type f -print
  178. ACLOCAL = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run aclocal-1.12
  179. AMTAR = $${TAR-tar}
  180. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  181. AUTOCONF = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run autoconf
  182. AUTOHEADER = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run autoheader
  183. AUTOMAKE = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run automake-1.12
  184. AWK = gawk
  185. CC = gcc
  186. CCDEPMODE = depmode=gcc3
  187. CFLAGS = -g -O2
  188. CPPFLAGS =
  189. CXX = g++
  190. CXXDEPMODE = depmode=gcc3
  191. CXXFLAGS = -g
  192. CYGPATH_W = echo
  193. DEFS =
  194. DEPDIR = .deps
  195. ECHO_C =
  196. ECHO_N = -n
  197. ECHO_T =
  198. EXEEXT =
  199. INSTALL = /usr/bin/install -c
  200. INSTALL_DATA = ${INSTALL} -m 644
  201. INSTALL_PROGRAM = ${INSTALL}
  202. INSTALL_SCRIPT = ${INSTALL}
  203. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  204. LDFLAGS =
  205. LIBOBJS =
  206. LIBS =
  207. LTLIBOBJS =
  208. MAKEINFO = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run makeinfo
  209. MKDIR_P = /usr/bin/mkdir -p
  210. OBJEXT = o
  211. PACKAGE = libwebsocket-a
  212. PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
  213. PACKAGE_NAME = libwebsocket.a
  214. PACKAGE_STRING = libwebsocket.a 1.0
  215. PACKAGE_TARNAME = libwebsocket-a
  216. PACKAGE_URL =
  217. PACKAGE_VERSION = 1.0
  218. PATH_SEPARATOR = :
  219. RANLIB = ranlib
  220. SET_MAKE =
  221. SHELL = /bin/sh
  222. STRIP =
  223. VERSION = 1.0
  224. abs_builddir = /home/zzj/ya-src/ya-serv/websocket
  225. abs_srcdir = /home/zzj/ya-src/ya-serv/websocket
  226. abs_top_builddir = /home/zzj/ya-src/ya-serv/websocket
  227. abs_top_srcdir = /home/zzj/ya-src/ya-serv/websocket
  228. ac_ct_CC = gcc
  229. ac_ct_CXX = g++
  230. am__include = include
  231. am__leading_dot = .
  232. am__quote =
  233. am__tar = $${TAR-tar} chof - "$$tardir"
  234. am__untar = $${TAR-tar} xf -
  235. bindir = ${exec_prefix}/bin
  236. build_alias =
  237. builddir = .
  238. datadir = ${datarootdir}
  239. datarootdir = ${prefix}/share
  240. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  241. dvidir = ${docdir}
  242. exec_prefix = ${prefix}
  243. host_alias =
  244. htmldir = ${docdir}
  245. includedir = ${prefix}/include
  246. infodir = ${datarootdir}/info
  247. install_sh = ${SHELL} /home/zzj/ya-src/ya-serv/install-sh
  248. libdir = ${exec_prefix}/lib
  249. libexecdir = ${exec_prefix}/libexec
  250. localedir = ${datarootdir}/locale
  251. localstatedir = ${prefix}/var
  252. mandir = ${datarootdir}/man
  253. mkdir_p = $(MKDIR_P)
  254. oldincludedir = /usr/include
  255. pdfdir = ${docdir}
  256. prefix = /home/zzj/ya-src/ya-serv/websocket/../../dist
  257. program_transform_name = s,x,x,
  258. psdir = ${docdir}
  259. sbindir = ${exec_prefix}/sbin
  260. sharedstatedir = ${prefix}/com
  261. srcdir = .
  262. sysconfdir = ${prefix}/etc
  263. target_alias =
  264. top_build_prefix =
  265. top_builddir = .
  266. top_srcdir = .
  267. AUTOMAKE_OPTIONS = foreign
  268. noinst_LIBRARIES = libwebsocket.a
  269. AM_CPPFLAGS = -Wall -pthread -m64 -std=c++11 -I${prefix}/include -I. -I.. -I./sio
  270. AM_LDFLAGS = -Wall -pthread -m64 -std=c++11 -L${prefix}/lib
  271. libwebsocket_a_SOURCES = jsonBuilder.cpp wsClient.cpp wsClientMgr.cpp wsTimerThread.cpp \
  272. sio/sio_client.cpp sio/sio_socket.cpp \
  273. sio/internal/sio_client_impl.cpp sio/internal/sio_packet.cpp
  274. EXTRA_DIST =
  275. all: all-am
  276. .SUFFIXES:
  277. .SUFFIXES: .cpp .o .obj
  278. am--refresh: Makefile
  279. @:
  280. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  281. @for dep in $?; do \
  282. case '$(am__configure_deps)' in \
  283. *$$dep*) \
  284. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  285. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  286. && exit 0; \
  287. exit 1;; \
  288. esac; \
  289. done; \
  290. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  291. $(am__cd) $(top_srcdir) && \
  292. $(AUTOMAKE) --foreign Makefile
  293. .PRECIOUS: Makefile
  294. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  295. @case '$?' in \
  296. *config.status*) \
  297. echo ' $(SHELL) ./config.status'; \
  298. $(SHELL) ./config.status;; \
  299. *) \
  300. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  301. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  302. esac;
  303. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  304. $(SHELL) ./config.status --recheck
  305. $(top_srcdir)/configure: $(am__configure_deps)
  306. $(am__cd) $(srcdir) && $(AUTOCONF)
  307. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  308. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  309. $(am__aclocal_m4_deps):
  310. clean-noinstLIBRARIES:
  311. -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
  312. libwebsocket.a: $(libwebsocket_a_OBJECTS) $(libwebsocket_a_DEPENDENCIES) $(EXTRA_libwebsocket_a_DEPENDENCIES)
  313. $(AM_V_at)-rm -f libwebsocket.a
  314. $(AM_V_AR)$(libwebsocket_a_AR) libwebsocket.a $(libwebsocket_a_OBJECTS) $(libwebsocket_a_LIBADD)
  315. $(AM_V_at)$(RANLIB) libwebsocket.a
  316. mostlyclean-compile:
  317. -rm -f *.$(OBJEXT)
  318. distclean-compile:
  319. -rm -f *.tab.c
  320. include ./$(DEPDIR)/jsonBuilder.Po
  321. include ./$(DEPDIR)/sio_client.Po
  322. include ./$(DEPDIR)/sio_client_impl.Po
  323. include ./$(DEPDIR)/sio_packet.Po
  324. include ./$(DEPDIR)/sio_socket.Po
  325. include ./$(DEPDIR)/wsClient.Po
  326. include ./$(DEPDIR)/wsClientMgr.Po
  327. include ./$(DEPDIR)/wsTimerThread.Po
  328. .cpp.o:
  329. $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  330. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  331. # $(AM_V_CXX)source='$<' object='$@' libtool=no \
  332. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  333. # $(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<
  334. .cpp.obj:
  335. $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  336. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  337. # $(AM_V_CXX)source='$<' object='$@' libtool=no \
  338. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  339. # $(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  340. sio_client.o: sio/sio_client.cpp
  341. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client.o -MD -MP -MF $(DEPDIR)/sio_client.Tpo -c -o sio_client.o `test -f 'sio/sio_client.cpp' || echo '$(srcdir)/'`sio/sio_client.cpp
  342. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_client.Tpo $(DEPDIR)/sio_client.Po
  343. # $(AM_V_CXX)source='sio/sio_client.cpp' object='sio_client.o' libtool=no \
  344. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  345. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client.o `test -f 'sio/sio_client.cpp' || echo '$(srcdir)/'`sio/sio_client.cpp
  346. sio_client.obj: sio/sio_client.cpp
  347. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client.obj -MD -MP -MF $(DEPDIR)/sio_client.Tpo -c -o sio_client.obj `if test -f 'sio/sio_client.cpp'; then $(CYGPATH_W) 'sio/sio_client.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_client.cpp'; fi`
  348. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_client.Tpo $(DEPDIR)/sio_client.Po
  349. # $(AM_V_CXX)source='sio/sio_client.cpp' object='sio_client.obj' libtool=no \
  350. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  351. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client.obj `if test -f 'sio/sio_client.cpp'; then $(CYGPATH_W) 'sio/sio_client.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_client.cpp'; fi`
  352. sio_socket.o: sio/sio_socket.cpp
  353. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_socket.o -MD -MP -MF $(DEPDIR)/sio_socket.Tpo -c -o sio_socket.o `test -f 'sio/sio_socket.cpp' || echo '$(srcdir)/'`sio/sio_socket.cpp
  354. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_socket.Tpo $(DEPDIR)/sio_socket.Po
  355. # $(AM_V_CXX)source='sio/sio_socket.cpp' object='sio_socket.o' libtool=no \
  356. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  357. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_socket.o `test -f 'sio/sio_socket.cpp' || echo '$(srcdir)/'`sio/sio_socket.cpp
  358. sio_socket.obj: sio/sio_socket.cpp
  359. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_socket.obj -MD -MP -MF $(DEPDIR)/sio_socket.Tpo -c -o sio_socket.obj `if test -f 'sio/sio_socket.cpp'; then $(CYGPATH_W) 'sio/sio_socket.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_socket.cpp'; fi`
  360. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_socket.Tpo $(DEPDIR)/sio_socket.Po
  361. # $(AM_V_CXX)source='sio/sio_socket.cpp' object='sio_socket.obj' libtool=no \
  362. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  363. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_socket.obj `if test -f 'sio/sio_socket.cpp'; then $(CYGPATH_W) 'sio/sio_socket.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_socket.cpp'; fi`
  364. sio_client_impl.o: sio/internal/sio_client_impl.cpp
  365. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client_impl.o -MD -MP -MF $(DEPDIR)/sio_client_impl.Tpo -c -o sio_client_impl.o `test -f 'sio/internal/sio_client_impl.cpp' || echo '$(srcdir)/'`sio/internal/sio_client_impl.cpp
  366. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_client_impl.Tpo $(DEPDIR)/sio_client_impl.Po
  367. # $(AM_V_CXX)source='sio/internal/sio_client_impl.cpp' object='sio_client_impl.o' libtool=no \
  368. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  369. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client_impl.o `test -f 'sio/internal/sio_client_impl.cpp' || echo '$(srcdir)/'`sio/internal/sio_client_impl.cpp
  370. sio_client_impl.obj: sio/internal/sio_client_impl.cpp
  371. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client_impl.obj -MD -MP -MF $(DEPDIR)/sio_client_impl.Tpo -c -o sio_client_impl.obj `if test -f 'sio/internal/sio_client_impl.cpp'; then $(CYGPATH_W) 'sio/internal/sio_client_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_client_impl.cpp'; fi`
  372. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_client_impl.Tpo $(DEPDIR)/sio_client_impl.Po
  373. # $(AM_V_CXX)source='sio/internal/sio_client_impl.cpp' object='sio_client_impl.obj' libtool=no \
  374. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  375. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client_impl.obj `if test -f 'sio/internal/sio_client_impl.cpp'; then $(CYGPATH_W) 'sio/internal/sio_client_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_client_impl.cpp'; fi`
  376. sio_packet.o: sio/internal/sio_packet.cpp
  377. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_packet.o -MD -MP -MF $(DEPDIR)/sio_packet.Tpo -c -o sio_packet.o `test -f 'sio/internal/sio_packet.cpp' || echo '$(srcdir)/'`sio/internal/sio_packet.cpp
  378. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_packet.Tpo $(DEPDIR)/sio_packet.Po
  379. # $(AM_V_CXX)source='sio/internal/sio_packet.cpp' object='sio_packet.o' libtool=no \
  380. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  381. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_packet.o `test -f 'sio/internal/sio_packet.cpp' || echo '$(srcdir)/'`sio/internal/sio_packet.cpp
  382. sio_packet.obj: sio/internal/sio_packet.cpp
  383. $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_packet.obj -MD -MP -MF $(DEPDIR)/sio_packet.Tpo -c -o sio_packet.obj `if test -f 'sio/internal/sio_packet.cpp'; then $(CYGPATH_W) 'sio/internal/sio_packet.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_packet.cpp'; fi`
  384. $(AM_V_at)$(am__mv) $(DEPDIR)/sio_packet.Tpo $(DEPDIR)/sio_packet.Po
  385. # $(AM_V_CXX)source='sio/internal/sio_packet.cpp' object='sio_packet.obj' libtool=no \
  386. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  387. # $(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_packet.obj `if test -f 'sio/internal/sio_packet.cpp'; then $(CYGPATH_W) 'sio/internal/sio_packet.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_packet.cpp'; fi`
  388. ID: $(am__tagged_files)
  389. $(am__define_uniq_tagged_files); mkid -fID $$unique
  390. tags: tags-am
  391. TAGS: tags
  392. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  393. set x; \
  394. here=`pwd`; \
  395. $(am__define_uniq_tagged_files); \
  396. shift; \
  397. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  398. test -n "$$unique" || unique=$$empty_fix; \
  399. if test $$# -gt 0; then \
  400. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  401. "$$@" $$unique; \
  402. else \
  403. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  404. $$unique; \
  405. fi; \
  406. fi
  407. ctags: ctags-am
  408. CTAGS: ctags
  409. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  410. $(am__define_uniq_tagged_files); \
  411. test -z "$(CTAGS_ARGS)$$unique" \
  412. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  413. $$unique
  414. GTAGS:
  415. here=`$(am__cd) $(top_builddir) && pwd` \
  416. && $(am__cd) $(top_srcdir) \
  417. && gtags -i $(GTAGS_ARGS) "$$here"
  418. cscope: cscope.files
  419. test ! -s cscope.files \
  420. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  421. clean-cscope:
  422. -rm -f cscope.files
  423. cscope.files: clean-cscope cscopelist
  424. cscopelist: cscopelist-am
  425. cscopelist-am: $(am__tagged_files)
  426. list='$(am__tagged_files)'; \
  427. case "$(srcdir)" in \
  428. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  429. *) sdir=$(subdir)/$(srcdir) ;; \
  430. esac; \
  431. for i in $$list; do \
  432. if test -f "$$i"; then \
  433. echo "$(subdir)/$$i"; \
  434. else \
  435. echo "$$sdir/$$i"; \
  436. fi; \
  437. done >> $(top_builddir)/cscope.files
  438. distclean-tags:
  439. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  440. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  441. distdir: $(DISTFILES)
  442. $(am__remove_distdir)
  443. test -d "$(distdir)" || mkdir "$(distdir)"
  444. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  445. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  446. list='$(DISTFILES)'; \
  447. dist_files=`for file in $$list; do echo $$file; done | \
  448. sed -e "s|^$$srcdirstrip/||;t" \
  449. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  450. case $$dist_files in \
  451. */*) $(MKDIR_P) `echo "$$dist_files" | \
  452. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  453. sort -u` ;; \
  454. esac; \
  455. for file in $$dist_files; do \
  456. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  457. if test -d $$d/$$file; then \
  458. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  459. if test -d "$(distdir)/$$file"; then \
  460. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  461. fi; \
  462. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  463. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  464. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  465. fi; \
  466. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  467. else \
  468. test -f "$(distdir)/$$file" \
  469. || cp -p $$d/$$file "$(distdir)/$$file" \
  470. || exit 1; \
  471. fi; \
  472. done
  473. -test -n "$(am__skip_mode_fix)" \
  474. || find "$(distdir)" -type d ! -perm -755 \
  475. -exec chmod u+rwx,go+rx {} \; -o \
  476. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  477. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  478. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  479. || chmod -R a+r "$(distdir)"
  480. dist-gzip: distdir
  481. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  482. $(am__post_remove_distdir)
  483. dist-bzip2: distdir
  484. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  485. $(am__post_remove_distdir)
  486. dist-lzip: distdir
  487. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  488. $(am__post_remove_distdir)
  489. dist-xz: distdir
  490. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  491. $(am__post_remove_distdir)
  492. dist-tarZ: distdir
  493. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  494. $(am__post_remove_distdir)
  495. dist-shar: distdir
  496. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  497. $(am__post_remove_distdir)
  498. dist-zip: distdir
  499. -rm -f $(distdir).zip
  500. zip -rq $(distdir).zip $(distdir)
  501. $(am__post_remove_distdir)
  502. dist dist-all:
  503. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  504. $(am__post_remove_distdir)
  505. # This target untars the dist file and tries a VPATH configuration. Then
  506. # it guarantees that the distribution is self-contained by making another
  507. # tarfile.
  508. distcheck: dist
  509. case '$(DIST_ARCHIVES)' in \
  510. *.tar.gz*) \
  511. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  512. *.tar.bz2*) \
  513. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  514. *.tar.lz*) \
  515. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  516. *.tar.xz*) \
  517. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  518. *.tar.Z*) \
  519. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  520. *.shar.gz*) \
  521. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  522. *.zip*) \
  523. unzip $(distdir).zip ;;\
  524. esac
  525. chmod -R a-w $(distdir)
  526. chmod u+w $(distdir)
  527. mkdir $(distdir)/_build $(distdir)/_inst
  528. chmod a-w $(distdir)
  529. test -d $(distdir)/_build || exit 0; \
  530. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  531. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  532. && am__cwd=`pwd` \
  533. && $(am__cd) $(distdir)/_build \
  534. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  535. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  536. $(DISTCHECK_CONFIGURE_FLAGS) \
  537. && $(MAKE) $(AM_MAKEFLAGS) \
  538. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  539. && $(MAKE) $(AM_MAKEFLAGS) check \
  540. && $(MAKE) $(AM_MAKEFLAGS) install \
  541. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  542. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  543. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  544. distuninstallcheck \
  545. && chmod -R a-w "$$dc_install_base" \
  546. && ({ \
  547. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  548. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  549. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  550. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  551. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  552. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  553. && rm -rf "$$dc_destdir" \
  554. && $(MAKE) $(AM_MAKEFLAGS) dist \
  555. && rm -rf $(DIST_ARCHIVES) \
  556. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  557. && cd "$$am__cwd" \
  558. || exit 1
  559. $(am__post_remove_distdir)
  560. @(echo "$(distdir) archives ready for distribution: "; \
  561. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  562. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  563. distuninstallcheck:
  564. @test -n '$(distuninstallcheck_dir)' || { \
  565. echo 'ERROR: trying to run $@ with an empty' \
  566. '$$(distuninstallcheck_dir)' >&2; \
  567. exit 1; \
  568. }; \
  569. $(am__cd) '$(distuninstallcheck_dir)' || { \
  570. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  571. exit 1; \
  572. }; \
  573. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  574. || { echo "ERROR: files left after uninstall:" ; \
  575. if test -n "$(DESTDIR)"; then \
  576. echo " (check DESTDIR support)"; \
  577. fi ; \
  578. $(distuninstallcheck_listfiles) ; \
  579. exit 1; } >&2
  580. distcleancheck: distclean
  581. @if test '$(srcdir)' = . ; then \
  582. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  583. exit 1 ; \
  584. fi
  585. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  586. || { echo "ERROR: files left in build directory after distclean:" ; \
  587. $(distcleancheck_listfiles) ; \
  588. exit 1; } >&2
  589. check-am: all-am
  590. check: check-am
  591. all-am: Makefile $(LIBRARIES)
  592. installdirs:
  593. install: install-am
  594. install-exec: install-exec-am
  595. install-data: install-data-am
  596. uninstall: uninstall-am
  597. install-am: all-am
  598. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  599. installcheck: installcheck-am
  600. install-strip:
  601. if test -z '$(STRIP)'; then \
  602. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  603. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  604. install; \
  605. else \
  606. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  607. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  608. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  609. fi
  610. mostlyclean-generic:
  611. clean-generic:
  612. distclean-generic:
  613. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  614. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  615. maintainer-clean-generic:
  616. @echo "This command is intended for maintainers to use"
  617. @echo "it deletes files that may require special tools to rebuild."
  618. clean: clean-am
  619. clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
  620. distclean: distclean-am
  621. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  622. -rm -rf ./$(DEPDIR)
  623. -rm -f Makefile
  624. distclean-am: clean-am distclean-compile distclean-generic \
  625. distclean-tags
  626. dvi: dvi-am
  627. dvi-am:
  628. html: html-am
  629. html-am:
  630. info: info-am
  631. info-am:
  632. install-data-am:
  633. install-dvi: install-dvi-am
  634. install-dvi-am:
  635. install-exec-am:
  636. install-html: install-html-am
  637. install-html-am:
  638. install-info: install-info-am
  639. install-info-am:
  640. install-man:
  641. install-pdf: install-pdf-am
  642. install-pdf-am:
  643. install-ps: install-ps-am
  644. install-ps-am:
  645. installcheck-am:
  646. maintainer-clean: maintainer-clean-am
  647. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  648. -rm -rf $(top_srcdir)/autom4te.cache
  649. -rm -rf ./$(DEPDIR)
  650. -rm -f Makefile
  651. maintainer-clean-am: distclean-am maintainer-clean-generic
  652. mostlyclean: mostlyclean-am
  653. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  654. pdf: pdf-am
  655. pdf-am:
  656. ps: ps-am
  657. ps-am:
  658. uninstall-am:
  659. .MAKE: install-am install-strip
  660. .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  661. clean-cscope clean-generic clean-noinstLIBRARIES cscope \
  662. cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  663. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  664. distcheck distclean distclean-compile distclean-generic \
  665. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  666. dvi-am html html-am info info-am install install-am \
  667. install-data install-data-am install-dvi install-dvi-am \
  668. install-exec install-exec-am install-html install-html-am \
  669. install-info install-info-am install-man install-pdf \
  670. install-pdf-am install-ps install-ps-am install-strip \
  671. installcheck installcheck-am installdirs maintainer-clean \
  672. maintainer-clean-generic mostlyclean mostlyclean-compile \
  673. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  674. uninstall-am
  675. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  676. # Otherwise a system limit (for SysV at least) may be exceeded.
  677. .NOEXPORT: